Bug 195848 - devel/boehm-gc: Does not build on sparc64 (again)
Summary: devel/boehm-gc: Does not build on sparc64 (again)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: sparc64 Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, patch, patch-ready, regression
Depends on:
Blocks:
 
Reported: 2014-12-10 11:35 UTC by Michael Moll
Modified: 2014-12-18 12:16 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
boehm-gc.7.4.2.3.diff (637 bytes, patch)
2014-12-15 14:46 UTC, Carlos J Puga Medina
cjpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Moll freebsd_committer 2014-12-10 11:35:51 UTC
The fix applied in r364172 for #192398 got lost in r369894, please restore it like that:

Index: Makefile
===================================================================
--- Makefile    (revision 374445)
+++ Makefile    (working copy)
@@ -56,6 +56,10 @@
 
 NOT_FOR_ARCHS= ia64
 
+# no rule to get .lo from .S in subdirectory
+pre-build:
+       ${LN} -sf ${WRKSRC}/src/sparc_mach_dep.S ${WRKSRC}
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDEBUG}

thanks.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-10 11:35:51 UTC
Maintainer CC'd
Comment 2 Carlos J Puga Medina 2014-12-15 14:46:20 UTC
Created attachment 150606 [details]
boehm-gc.7.4.2.3.diff

Re-add quick fix to build boehm-gc on sparc64 as user has requested.

Thank you :)
Comment 3 commit-hook freebsd_committer 2014-12-18 12:16:25 UTC
A commit references this bug:

Author: pi
Date: Thu Dec 18 12:15:36 UTC 2014
New revision: 374900
URL: https://svnweb.freebsd.org/changeset/ports/374900

Log:
  devel/boehm-gc: fix build on sparc64, was lost in r369894

  PR:		195848
  Submitted by:	kvedulv@kvedulv.de
  Approved by:	cpm@fbsd.es (maintainer)

Changes:
  head/devel/boehm-gc/Makefile
Comment 4 Kurt Jaeger freebsd_committer 2014-12-18 12:16:53 UTC
Committed, thanks!